Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 389363 - =gnustep-base/gnustep-gui-0.18.0 fails to build with libpng15
Summary: =gnustep-base/gnustep-gui-0.18.0 fails to build with libpng15
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-11-02 19:54 UTC by Alex Buell
Modified: 2011-11-04 22:21 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,19.85 KB, text/plain)
2011-11-02 19:55 UTC, Alex Buell
Details
environment (environment,107.14 KB, text/plain)
2011-11-02 19:55 UTC, Alex Buell
Details
emerge --info (info,5.57 KB, text/plain)
2011-11-03 10:42 UTC, Alex Buell
Details
gnustep-gui-0.18.0-libpng15.patch (gnustep-gui-0.18.0-libpng15.patch,351 bytes, patch)
2011-11-04 14:52 UTC, Samuli Suominen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buell 2011-11-02 19:54:15 UTC
i686-pc-linux-gnu-gcc NSBitmapImageRep+PNG.m -c \
      -MMD -MP -DGNUSTEP_TARGET_DIR=\".\" -DGNUSTEP_TARGET_CPU=\"ix86\" -DGNUSTEP_TARGET_OS=\"linux-gnu\" -DLIBRARY_COMBO=\"gnu-gnu-gnu\" -DBACKEND_BUNDLE=1 -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -march=prescott -mfpmath=sse -O2 -pipe -fno-strict-aliasing -fgnu-runtime -Wall -fconstant-string-class=NSConstantString -I/usr/include -I../Headers/Additions -I../Headers -I./. -I. -I/var/tmp/portage/gnustep-base/gnustep-gui-0.18.0/temp/GNUstep/Library/Headers -I/usr/GNUstep/Local/Library/Headers -I/usr/GNUstep/System/Library/Headers \
       -o obj/libgnustep-gui.obj/NSBitmapImageRep+PNG.m.o
distcc[13459] (dcc_build_somewhere) Warning: failed to distribute, running locally instead
NSBitmapImageRep+PNG.m: In function ‘-[NSBitmapImageRep(PNG) _initBitmapFromPNG:]’:
NSBitmapImageRep+PNG.m:232:31: error: dereferencing pointer to incomplete type
distcc[13459] ERROR: compile NSBitmapImageRep+PNG.m on localhost failed
make[4]: *** [obj/libgnustep-gui.obj/NSBitmapImageRep+PNG.m.o] Error 1

Attached are logs

Reproducible: Always
Comment 1 Alex Buell 2011-11-02 19:55:23 UTC
Created attachment 291541 [details]
build.log
Comment 2 Alex Buell 2011-11-02 19:55:40 UTC
Created attachment 291543 [details]
environment
Comment 3 Mike Gilbert gentoo-dev 2011-11-03 01:48:10 UTC
Please provide emerge --info.
Comment 4 Alex Buell 2011-11-03 10:42:48 UTC
Created attachment 291577 [details]
emerge --info
Comment 5 Samuli Suominen gentoo-dev 2011-11-03 15:06:18 UTC
And does gnustep-base/gnustep-gui-0.20.0 work?
Comment 6 Samuli Suominen gentoo-dev 2011-11-04 14:52:32 UTC
Created attachment 291661 [details, diff]
gnustep-gui-0.18.0-libpng15.patch

eutils to inherit and:

src_prepare() {
	epatch "${FILESDIR}"/${P}-libpng15.patch
	gnustep-base_src_prepare
}
Comment 7 Samuli Suominen gentoo-dev 2011-11-04 14:54:41 UTC
(In reply to comment #5)
> And does gnustep-base/gnustep-gui-0.20.0 work?

Answering to myself: Tested 0.20.0 and it's fine as is, so this patch is only required for 0.18.0.
Comment 8 Bernard Cafarelli gentoo-dev 2011-11-04 15:06:25 UTC
Fixed in 0.18.0, thanks Samuli! 

0.20.0 will be stabled later, when all bugs with the new gnustep layout are fixed
Comment 9 Alex Buell 2011-11-04 22:21:18 UTC
Confirmed, patch fixes it. Thanks guys. I'll look forward to 0.20 in due course, there are some other problems with 0.18 that needs sorting with 0.20.